เครื่องมือ: get_user_profile
รับข้อมูลโปรไฟล์เกี่ยวกับตัวคุณเอง (ชื่อและอีเมล)
ตัวอย่างต่อไปนี้แสดงวิธีใช้ curl เพื่อเรียกใช้เครื่องมือ get_user_profile MCP
| คำขอ Curl |
|---|
curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_user_profile", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
สคีมาอินพุต
ข้อความคำขอสำหรับ GetUserProfile
สคีมาเอาต์พุต
ข้อความตอบกลับสำหรับ GetUserProfile
GetUserProfileResponse
| การแสดง JSON |
|---|
{ "name": string, "emailAddress": string } |
| ช่อง | |
|---|---|
name |
ชื่อที่แสดงของผู้ใช้ |
emailAddress |
อีเมลของบัญชีผู้ใช้ |
คำอธิบายประกอบของเครื่องมือ
คำแนะนำที่อาจทำให้เกิดการเปลี่ยนแปลง: ❌ | คำแนะนำที่อาจทำให้เกิดการเปลี่ยนแปลงซ้ำ: ✅ | คำแนะนำแบบอ่านอย่างเดียว: ✅ | คำแนะนำแบบเปิด: ❌